Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604659 - Review Request: perl-Test-EOL - Check the correct line endings in your project
Review Request: perl-Test-EOL - Check the correct line endings in your project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On: 604653
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 08:55 EDT by Paul Howarth
Modified: 2010-07-29 21:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-EOL-0.9-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 21:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-06-16 08:55:08 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-EOL/branches/fedora/perl-Test-EOL.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-EOL/perl-Test-EOL-0.8-1.fc14.src.rpm
Description:

This module scans your project/distribution for any perl files (scripts,
modules, etc.) with Windows line endings. It can also check for trailing
whitespace.
Comment 2 Emmanuel Seyman 2010-06-27 07:44:09 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2275645

 [x] Rpmlint output: 
perl-Test-EOL.noarch: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
perl-Test-EOL.src: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
perl-Test-EOL.src: E: unknown-key GPG#b56a8bac
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
b3b4453d0caed2954a93585924ab15f2  Test-EOL-0.9.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2275645
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=6, Tests=27,  3 wallclock secs ( 0.06 usr  0.03 sys +  1.21 cusr  0.19 csys =  1.49 CPU)
Result: PASS

APPROVED.
Comment 3 Paul Howarth 2010-06-28 04:17:34 EDT
New Package CVS Request
=======================
Package Name: perl-Test-EOL
Short Description: Check the correct line endings in your project
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-12 F-13
InitialCC: perl-sig
Comment 4 Jason Tibbitts 2010-06-28 12:43:57 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Fedora Update System 2010-06-29 06:42:56 EDT
perl-Test-EOL-0.9-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.fc13
Comment 6 Fedora Update System 2010-06-29 06:43:01 EDT
perl-Test-EOL-0.9-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.fc12
Comment 7 Fedora Update System 2010-06-29 11:32:30 EDT
perl-Test-EOL-0.9-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-29 11:35:51 EDT
perl-Test-EOL-0.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-09 04:51:02 EDT
perl-Test-EOL-0.9-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.el5
Comment 10 Fedora Update System 2010-07-09 04:51:08 EDT
perl-Test-EOL-0.9-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.el4
Comment 11 Fedora Update System 2010-07-09 14:56:31 EDT
perl-Test-EOL-0.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-EOL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.el5
Comment 12 Fedora Update System 2010-07-09 14:57:02 EDT
perl-Test-EOL-0.9-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-EOL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-EOL-0.9-1.el4
Comment 13 Fedora Update System 2010-07-29 21:06:09 EDT
perl-Test-EOL-0.9-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-07-29 21:06:49 EDT
perl-Test-EOL-0.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.